## dh-cmake 0.5

=== debian/changelog ===
dh-cmake (0.5) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Fix d/copyright to silence lintian warnings

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Jul 2020 13:29:55 +0100

dh-cmake (0.4) unstable; urgency=low

  [ Kyle Edwards ]
  * Added examples.
  * Changed CMake installation to use cmake --install instead of
    cmake_install.cmake script.
  * Changed cmake dependency to "Recommends" instead of "Depends".
  * Added `Provides: dh-sequence-{cmake,ctest,cpack}` to binary package.
  * Updated to use modern debhelper-compat dependency.
  * Bumped Debian policy version.
  * Now notifies Debhelper when CMake installs files.
  * Added modernized compat mechanism with the pseudo-package dh-cmake-compat.
  * Added --component argument to dh_cmake_install.
  * dh_ctest_test now calls ctest instead of dh_auto_test.
  * dh_cpack_substvars now ignores packages not specified by --package if it
    is specified.
  * Added --ctest-build and --ctest-build-suffix arguments to dh_ctest_*.
  * Added --ctest-testing-dir argument to dh_ctest_*.
  * Added quoting and backslashes to DEB_CTEST_OPTIONS.
  * Added track and catchfailed options to DEB_CTEST_OPTIONS.
  * Added dh_ctest_update step.
  * Added dh_ctest_clean step.
  * Default ctest sequence now runs dh_ctest_submit at the end.

  [ Alastair McKinstry ]
  * Add myself as uploader (sponsor)
  * Move to debhelper-compat (= 12)
  * Use dh-sequence-python3 rather than --with python3
  * Fix python issues (make pyflakes3 clean)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Jun 2020 08:19:49 +0100

dh-cmake (0.3) unstable; urgency=medium

  * Changed dh_cmake_install to use an absolute installation prefix.
  * Changed the dh_ctest_* steps to each do their own submit step, and
    removed dh_ctest_submit from the default ctest sequence. dh_ctest_submit
    still exists, and you can pass --no-submit to the commands to keep the old
    behavior.
  * Added a new --parts argument to dh_ctest_submit to only submit some parts
    to CDash.
  * Added a compat level file, dh-cmake.compat, for future-proofing.
  * Added new "site" and "build" options to DEB_CTEST_OPTIONS to control the
    build and site names submitted to CDash.
  * Added support for package architectures other than "any" and "all".
  * Added support for the new CPack External generator provided by CPack. This
    allows dh-cmake to install CPack components and component groups in
    specific packages, and use the CPack dependency graph in the output
    packages.
  * Added dpkg-dev to the dependencies (for dpkg-architecture).
  * Added -VV argument to CTest calls to get output from invoked commands.

 -- Kyle Edwards <kyle.edwards@kitware.com>  Wed, 27 Jun 2018 13:54:50 -0400

dh-cmake (0.2) unstable; urgency=low

  * Added CTest support - you can now run CTest in dashboard mode from
    inside the Debian build environment and submit the test results to a
    CDash server.

 -- Kyle Edwards <kyle.edwards@kitware.com>  Tue, 01 May 2018 14:17:32 -0400

dh-cmake (0.1) unstable; urgency=low

  * Initial release.

 -- Kyle Edwards <kyle.edwards@kitware.com>  Fri, 27 Apr 2018 13:36:31 -0400

## dh-cmake 0.6

=== debian/changelog ===
dh-cmake (0.6) unstable; urgency=medium

  [ Kyle Edwards ]
  * Get setup.py version from d/changelog

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Sep 2020 15:04:31 +0100

## dh-cmake 0.6.1

=== dhcmake/tests/data/debian_pkg/lib1/CMakeLists.txt ===
declare_lib(dh-cmake-test-lib1)

=== debian/changelog ===
dh-cmake (0.6.1) unstable; urgency=medium

  [ Kyle Edwards ]
  * Use changelog.version in setup.py (closes: #973227)
  * Install README.md in /usr/share/doc/dh-cmake (closes: #970392)
  
 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Nov 2020 16:01:35 +0000

=== examples/ctest/debian/changelog ===
ctestexample (1.0) unstable; urgency=medium

  * Initial release.

 -- Kyle Edwards <kyle.edwards@kitware.com>  Thu, 05 Jul 2018 10:21:06 -0400

=== debian/control ===
Source: dh-cmake
Section: devel
Priority: optional
Maintainer: Kitware Debian Maintainers <debian@kitware.com>
Uploaders:
    Kyle Edwards <kyle.edwards@kitware.com>,
    Kitware Robot <kwrobot@kitware.com>,
    Alastair McKinstry <mckinstry@debian.org>
Build-Depends:
    debhelper-compat (=12),
    dh-sequence-python3,
    python3-all,
    python3-setuptools,
    cmake (>= 3.15),
    git,
    python3-debian,
    python3-autopep8,
    python3-pyflakes
Standards-Version: 4.5.0
Homepage: https://gitlab.kitware.com/debian/dh-cmake
Vcs-Git: https://gitlab.kitware.com/debian/dh-cmake.git
Vcs-Browser: https://gitlab.kitware.com/debian/dh-cmake
Rules-Requires-Root: no

Package: dh-cmake
Architecture: all
Depends:
    ${python3:Depends},
    ${misc:Depends},
    ${perl:Depends},
    debhelper,
    dpkg-dev
Recommends:
    cmake (>= 3.15)
Provides:
    dh-sequence-cmake,
    dh-sequence-ctest,
    dh-sequence-cpack,
    dh-cmake-compat (= 1)
Description: Debhelper programs for CMake projects
 dh-cmake provides a set of Debhelper utilities for building packages that use
 advanced features of the CMake buildsystem, such as component installation,
 CTest dashboard testing, and CPack dependency metadata.

## dh-cmake 0.6.2

=== debian/changelog ===
dh-cmake (0.6.2) unstable; urgency=medium

  [ Kyle Edwards ]
  * Fix autopep8 failure (closes: #1038278)
  * Use DEB_HOST_MULTIARCH in tests (closes: #1022069)
  * Add Multi-Arch: foreign (closes: #1022054)

  [ Alastair McKinstry ]
  * Move to debhelper 13
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Jan 2023 12:07:42 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
     Kitware Robot <kwrobot@kitware.com>,
     Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:
-    debhelper-compat (=12),
+    debhelper-compat (=13),
     dh-sequence-python3,
     python3-all,
     python3-setuptools,
@@ -16,7 +16,7 @@
     python3-debian,
     python3-autopep8,
     python3-pyflakes
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://gitlab.kitware.com/debian/dh-cmake
 Vcs-Git: https://gitlab.kitware.com/debian/dh-cmake.git
 Vcs-Browser: https://gitlab.kitware.com/debian/dh-cmake
@@ -24,6 +24,7 @@
 
 Package: dh-cmake
 Architecture: all
+Multi-Arch: foreign
 Depends:
     ${python3:Depends},
     ${misc:Depends},

=== examples/ctest/debian/control ===
Source: ctestexample
Maintainer: Example <example@example.com>
Build-Depends: cmake, dh-cmake, dh-cmake-compat (= 1), dh-sequence-ctest, debhelper-compat (= 12)
Standards-Version: 4.1.5
Section: misc
Priority: extra

Package: ctestexample
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dh-cmake example - CTest
 This package contains a sample executable that is tested with CTest.

## dh-cmake 0.6.2+nmu1

=== examples/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(libcmakeexample C)

include(GNUInstallDirs)

add_library(cmakeexample SHARED example.c)
set_target_properties(cmakeexample PROPERTIES
  PUBLIC_HEADER "example.h"
  VERSION 1.0
  SOVERSION 1
)
install(TARGETS cmakeexample
  LIBRARY
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    COMPONENT Libraries
    NAMELINK_SKIP
  PUBLIC_HEADER
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
    COMPONENT Development
)
install(TARGETS cmakeexample
  LIBRARY
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    COMPONENT Development
    NAMELINK_ONLY
)

=== examples/cpack/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(libcpackexample C)

include(GNUInstallDirs)
include(CPackComponent)

add_library(cpackexample SHARED example.c)
set_target_properties(cpackexample PROPERTIES
  PUBLIC_HEADER "example.h"
  VERSION 1.0
  SOVERSION 1
)
install(TARGETS cpackexample
  LIBRARY
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    COMPONENT Libraries
    NAMELINK_SKIP
  PUBLIC_HEADER
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
    COMPONENT Headers
)
install(TARGETS cpackexample
  LIBRARY
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    COMPONENT Namelinks
    NAMELINK_ONLY
)

cpack_add_component(Libraries)
cpack_add_component(Namelinks GROUP Development DEPENDS Libraries)
cpack_add_component(Headers GROUP Development DEPENDS Libraries)

cpack_add_component_group(Development)

include(CPack)

=== examples/ctest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ctestexample C)

include(GNUInstallDirs)
include(CTest)

add_executable(ctestexample example.c)
install(TARGETS ctestexample
  RUNTIME
  DESTINATION "${CMAKE_INSTALL_BINDIR}"
  )

add_test(
  NAME PrintsHello
  COMMAND
    "${CMAKE_COMMAND}"
      -DCTESTEXAMPLE_COMMAND:PATH=$<TARGET_FILE:ctestexample>
      -P "${CMAKE_SOURCE_DIR}/test_hello.cmake"
  )

=== dhcmake/tests/data/debian_pkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(dh-cmake-test C)

include(GNUInstallDirs)
include(CTest)
include(CPackComponent)

cpack_add_component(Libraries
  DISPLAY_NAME "Runtime libraries"
  DESCRIPTION "Shared library files"
  GROUP All
)

cpack_add_component(Headers
  DISPLAY_NAME "Header files"
  DESCRIPTION "#include files for the library"
  GROUP Development
  DEPENDS Libraries
)

cpack_add_component(Namelinks
  DISPLAY_NAME "Shared library symbolic links"
  DESCRIPTION "Symbolic links for the library"
  GROUP Development
  DEPENDS Libraries
)

cpack_add_component_group(All
  DISPLAY_NAME "All components"
  DESCRIPTION "Every component in the package"
)

cpack_add_component_group(Development
  DISPLAY_NAME "Development files"
  DESCRIPTION "Development files for the library"
  PARENT_GROUP All
)

macro(declare_lib LIBNAME)
  add_library(${LIBNAME} SHARED "${LIBNAME}.c")
  set_target_properties(${LIBNAME} PROPERTIES
    PUBLIC_HEADER "${LIBNAME}.h"
    VERSION 1.0
    SOVERSION 1
  )
  install(TARGETS ${LIBNAME}
    LIBRARY
      DESTINATION "${CMAKE_INSTALL_LIBDIR}"
      COMPONENT Libraries
      NAMELINK_SKIP
    PUBLIC_HEADER
      DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
      COMPONENT Headers
  )
  install(TARGETS ${LIBNAME}
    LIBRARY
      DESTINATION "${CMAKE_INSTALL_LIBDIR}"
      COMPONENT Namelinks
      NAMELINK_ONLY
  )
endmacro()

declare_lib(dh-cmake-test)
add_subdirectory(lib1)
add_subdirectory(lib2)

option(DH_CMAKE_TEST_FLAG "For testing -D definitions" OFF)
if(DH_CMAKE_TEST_FLAG)
  file(WRITE "${CMAKE_BINARY_DIR}/testflag.txt" "Test flag set\n")
endif()

add_test(TestTrue true)

option(DH_CMAKE_ENABLE_BAD_CONFIGURE "Enable bad configure" OFF)
if(DH_CMAKE_ENABLE_BAD_CONFIGURE)
  message(FATAL_ERROR "Bad configure enabled")
endif()

option(DH_CMAKE_ENABLE_BAD_BUILD "Enable bad build" OFF)
if(DH_CMAKE_ENABLE_BAD_BUILD)
  add_custom_target(badtarget ALL COMMAND false)
endif()

option(DH_CMAKE_ENABLE_BAD_TEST "Enable bad test" OFF)
if(DH_CMAKE_ENABLE_BAD_TEST)
  add_test(TestFalse false)
endif()

include(CPack)

=== dhcmake/tests/data/debian_pkg/lib2/CMakeLists.txt ===
declare_lib(dh-cmake-test-lib2)

=== debian/changelog ===
dh-cmake (0.6.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add explicit runtime dependency on python3-pkg-resources
    that led to bugs elsewhere (see 1100193)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Aug 2025 12:10:57 +0200

=== dhcmake/tests/data/debian_pkg/debian/changelog ===
dh-cmake-test (0.1-1) unstable; urgency=medium

  * Initial release

 -- Kyle Edwards <kyle.edwards@kitware.com>  Mon, 30 Apr 2018 09:51:15 -0400

=== examples/cmake/debian/changelog ===
libcmakeexample (1.0) unstable; urgency=medium

  * Initial release.

 -- Kyle Edwards <kyle.edwards@kitware.com>  Thu, 05 Jul 2018 10:21:06 -0400

=== examples/cpack/debian/changelog ===
libcpackexample (1.0) unstable; urgency=medium

  * Initial release.

 -- Kyle Edwards <kyle.edwards@kitware.com>  Thu, 05 Jul 2018 10:21:06 -0400

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
     ${python3:Depends},
     ${misc:Depends},
     ${perl:Depends},
+    python3-pkg-resources,
     debhelper,
     dpkg-dev
 Recommends:

=== examples/cmake/debian/control ===
Source: libcmakeexample
Maintainer: Example <example@example.com>
Build-Depends: cmake, dh-cmake, dh-cmake-compat (= 1), dh-sequence-cmake, debhelper-compat (= 12)
Standards-Version: 4.1.5
Section: misc
Priority: extra

Package: libcmakeexample
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dh-cmake example - libraries
 This package contains the shared libraries for the dh-cmake example project.

Package: libcmakeexample-dev
Architecture: any
Depends: libcmakeexample (= ${binary:Version}), ${misc:Depends}
Description: dh-cmake example - development
 This package contains the development files for the dh-cmake example project.

=== examples/cpack/debian/control ===
Source: libcpackexample
Maintainer: Example <example@example.com>
Build-Depends: cmake, dh-cmake, dh-cmake-compat (= 1), dh-sequence-cpack, debhelper-compat (= 12)
Standards-Version: 4.1.5
Section: misc
Priority: extra

Package: libcpackexample
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dh-cmake example - libraries
 This package contains the shared libraries for the dh-cmake example project.

Package: libcpackexample-dev
Architecture: any
Depends: ${cpack:Depends}, ${misc:Depends}
Description: dh-cmake example - development
 This package contains the development files for the dh-cmake example project.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dh-cmake

%:
	dh $@  --buildsystem=pybuild

=== dhcmake/tests/data/debian_pkg/debian/rules ===
#!/usr/bin/make -f

include $(CURDIR)/debian/$(DH_CMAKE_CASE).mk

=== dhcmake/tests/data/debian_pkg/debian/control ===
Source: dh-cmake-test
Maintainer: Kitware Debian Maintainers <debian@kitware.com>
Uploaders:
    Kyle Edwards <kyle.edwards@kitware.com>,
    Kitware Robot <kwrobot@kitware.com>
Build-Depends:
    dh-cmake-compat (= 1),
    dh-cmake
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: devel

Package: libdh-cmake-test
Architecture: any
Description: libdh-cmake-test
 libdh-cmake-test

Package: libdh-cmake-test-dev
Architecture: any
Depends: ${cpack:Depends}
Description: libdh-cmake-test-dev
 libdh-cmake-test-dev

Package: libdh-cmake-test-doc
Architecture: all
Description: libdh-cmake-test-doc
 libdh-cmake-test-doc

Package: libdh-cmake-test-extra-32
Architecture: armhf
Description: libdh-cmake-test-extra-32
 libdh-cmake-test-extra-32

Package: libdh-cmake-test-extra-64
Architecture: arm64
Description: libdh-cmake-test-extra-64
 libdh-cmake-test-extra-64

Package: libdh-cmake-test-extra-both
Architecture: armhf arm64
Description: libdh-cmake-test-extra-both
 libdh-cmake-test-extra-both

## dh-cmake 0.6.3

=== debian/changelog ===
dh-cmake (0.6.3) unstable; urgency=medium

  * Drop Rules-Require-Root: no (default)
  * Drop: Priority: optional (default, unnecessary)
  * Standards-Version: 4.7.3
  * Replace pkg_resources with importlib. Closes: #1125849

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Jan 2026 06:13:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: dh-cmake
 Section: devel
-Priority: optional
 Maintainer: Kitware Debian Maintainers <debian@kitware.com>
 Uploaders:
     Kyle Edwards <kyle.edwards@kitware.com>,
@@ -16,11 +15,10 @@
     python3-debian,
     python3-autopep8,
     python3-pyflakes
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Homepage: https://gitlab.kitware.com/debian/dh-cmake
 Vcs-Git: https://gitlab.kitware.com/debian/dh-cmake.git
 Vcs-Browser: https://gitlab.kitware.com/debian/dh-cmake
-Rules-Requires-Root: no
 
 Package: dh-cmake
 Architecture: all
@@ -29,7 +27,6 @@
     ${python3:Depends},
     ${misc:Depends},
     ${perl:Depends},
-    python3-pkg-resources,
     debhelper,
     dpkg-dev
 Recommends:
